#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/wf_monitor/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

requires = [
    'pika==1.1',
    'pendulum==2.1.2',
    'ssa-workspaces',
    'ssa-channels'
]
tests_require = [
    'pytest>=5.4,<6.0',
    'pytest-mock==3.3.1',
]

setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='Workflow monitor that reads in HTCondor logs and translates them into AMQP events',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=requires,
    tests_require=tests_require,
    keywords=[],
    packages=['wf_monitor'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['wf_monitor = wf_monitor.monitor:main']
    },
)
